function  Vf =lp_filter(f, fstart, fend)
% LP_FILTER(f, fstart, fend) generates a low-pass filter
% which has a value of 1.0 below the frequency value 
% fstart and tapers to zero at frequencies above the 
% value fend with a cosine function. 
% The calling sequence is:
% Vf = lp_filter(f, fstart, fend)

if fend > f(end)
    error( 'fend exceeds max frequency')
end
if fend < fstart
    error(' fend must be greater than fstart')
end
const = ones(size(f)).*(f < fstart);
taper = cos(pi.*(f-fstart)./(2*(fend-fstart))).*(f >= fstart & f <= fend);
Vf = const + taper;