function A = A_unity(setup)
% A_UNITY returns values of unity for the frequencies contained
% in the setup parameter setup.f. This function is used 
% in conjunction with the Thompson-Gray measurement model
% to determine all the terms in that model except the far field
% scattering amplitude. Those terms are needed when determining 
% the flaw scattering amplitude experimentally from a measured
% voltage.
% The calling sequence is A = A_unity(setup);
f =setup.f;
A = ones(size(f));