function V = pulserVT(V0, t0, a1, a2, t)
% PULSERVT(V0, t0, a1, a2, t) models the open-circuit voltage of
% a spike or square wave pulser using the four parameters V0, t0,
% a1, and a2. The parameter V0 controls the amplitude and the other
% parameters control the rise and fall characteristics of the pulse.
% The input parameter t is a set of sampled times.

t = t + eps*( t ==0);
Vinf = V0/(1-exp(-a1*t0));
V = -Vinf*(1- exp(-a1*t)).*(t <= t0) -V0*exp(-a2*(t -t0)).*(t > t0);
