% TG_sphere_example1 script
% This script calculates the pulse-echo P-wave response of an on-axis 
% spherical pore interrogated by a 5 MHz planar probe through a 
% fluid-solid interface at normal incidence
clear
setup = setup_maker;
% setup parameters that need to be specified
% for this example
f =s_space(0, 20, 200);
cp1 = 1484.;
d2 = 2.2;
cp2 = 5969.4;
cs2 = 3774.1;
z1 = 50.8;
z2 = 19.62725;
amp =0.08;
bw = 4.;
z1r =50.8;
p1 = [ 0 0 0.02479E-03  0 0];
b =0.34605;
flaw_name = 'A_void';
setup.f =f;
setup.system.amp = amp;
setup.system.bw = bw;
setup.system.z1r =z1r;
setup.geom.z1 = z1;
setup.geom.z2 = z2;
setup.matl.cp1 = cp1;
setup.matl.d2 = d2;
setup.matl.cp2 = cp2;
setup.matl.cs2 = cs2;
setup.matl.p1 = p1;
setup.flaw.b = b;
setup.flaw.Afunc = flaw_name;
% calculate received voltage
[Vf, setup] = TG_PE_MM(setup);
% extend frequency components to permit
% taking FFT
df = f(2)-f(1);
dt = 1/(1000*df);
t = s_space(0, 1000*dt, 1000);
Vfe = [Vf zeros(1,800)];
Vfe(1) = Vfe(1)/2;
vt =2*real(IFourierT(Vfe, dt));
plot(t_shift(t,100), c_shift(vt,100))
