% script TG_sphere_example3
% calculates the waveform for a spherical void
% using an experimentally determined system function
% focused probe case
clear
% run TG_sphere_example1 script to get most system parameters
TG_sphere_example1
%update setup
setup.trans.d = 12.46;
setup.trans.fl =172.9;
setup.system.z1r =172.9;
setup.flaw.Afunc = 'A_void';
%specify use of experimentally determined system function
%and reference waveform
setup.system.sysf='exp_systf';
setup.system.ref_file ='sphere_ref_foc';
%run measurement model
[Vout, setup] = TG_PE_MM(setup);
% plot(f, abs(Vout))  intermediate plot omitted
% pad frequency domain amplitude with zeros
Ve= [ Vout, zeros(1,800)];
%compute wave form and plot
vt =2*real(IFourierT(Ve, dt));
plot(t, c_shift(vt, 600))
load 'sphere_flaw_foc'
hold on
plot(t, vexp,'--')
hold off

