function T =cableT(f, L, Z);
% cableT(f,L,Z) calculates the transfer matrix for a cable L m long
% with an impedance of Z ohms and a wave speed one half
% the speed of light in vacuum. The frequency, f, is in MHz
c=2.998E08/2;
kL = 2*pi*f*(1.0E06)*L/c;
T= [ cos(kL)  -i*Z*sin(kL); -i*sin(kL)/Z   cos(kL)];