function [V1,I1,Vt, It] = cable_X(V, dt, R, L, term)

[nr,nc] = size(V);
if nr == 1
	N = nc;
elseif nc == 1
	N = nr;
else
    error(' voltage must be a vector')
end
f =linspace(0, 1/dt, N);
Vf = N*dt*ifft(V);  % do fft of source
Vf= Vf.*(f < 1/(2*dt));  % remove negative frequencies
kl = (0.04.*pi./3).*L.*f; % use c=c_light/2
Z = 50;
T11=cos(kl);
T12 = -i*Z*sin(kl);
T21 =-i*sin(kl)/Z;
T22 = cos(kl);
if strcmp(term, 'oc')
    V1f = T11.*Vf./(T11 + R*T21); V1f(1) = V1f(1)/2;
    I1f = T21.*Vf./(T11 + R*T21);  I1f(1) = I1f(1)/2;
    Vtf  = Vf./(T11 + R*T21);   Vtf(1)=Vtf(1)/2;
    V1 =2*real((1/(N*dt))*fft(V1f));
    I1 =2*real((1/(N*dt))*fft(I1f));
    Vt =2*real((1/(N*dt))*fft(Vtf));
    It = zeros(size(V));
elseif strcmp( term, 'sc')
    V1f = T12.*Vf./(T12 + R*T22); V1f(1)=V1f(1)/2;
    I1f = T22.*Vf./(T12 + R*T22); I1f(1) = I1f(1)/2;
    Itf  = Vf./(T12 + R*T22); Itf(1) = Itf(1)/2;
    V1 =2*real((1/(N*dt))*fft(V1f));
    I1 =2*real((1/(N*dt))*fft(I1f));
    It =2*real((1/(N*dt))*fft(Itf));
    Vt = zeros(size(V));
else
    error(' termination must be ''oc'' or ''sc''')
end
plot(f, T11)