% onaxis_nf_ff script
clear
f=5;    %frequency (MHz)
a =6.35 % transducer radius (mm)
c =1480;   % wave speed (m/sec)
ka = 2000*pi*f*a./c;        % ka value
N = 1000*(a^2)*f/c;          % near field distance (mm)
zN = linspace (0.2, 4, 500);  %normalized distance z/N
z= zN.*N;  % actual on-axis distance (mm)
zn = z/a;                   % normalized on-axis distance, z/a
pe = 1 -exp(i*ka.*(sqrt(zn.^2 +1 )-zn)); %on-axis normalized pressure
                                         % with exp(ikz) term removed
pff = -i*ka./(2*zn);   %far field pressure with exp(ikz) term removed
plot(zN, abs(pe),'b')
hold on
plot(zN, abs(pff), 'r--')
hold off
xlabel('z/N')
ylabel('p/\rhocv_0')
