function pp =pp_onaxis(z,a,c,fc,bw)
f=s_space(0, 100, 1024);    %frequencies 0 -100 MHz
dt =.01;                    % sampling time interval
ka = 2000*pi*f*a./c;        % ka value
zn = z/a;                   % normalized on-axis distance
p = 1 -exp(i*ka.*(sqrt(zn.^2 +1 )-zn)); %on-axis normalized pressure

yf =spectrum1(f, fc, bw).*p;    % multiply by a Gaussian window
yf(1) = yf(1)/2;   % this is needed when only using positive frequencies
y =2*real(IFourierT(yf,dt));    % compute time domain pulse
pp=max(y) -min(y);              %find peak-to-peak value
