function y = transducer_X(z)
f=s_space(0, 100, 1024);    %frequencies 0 -100 MHz
dt =.01;                    % sampling time interval (micro sec)
a = 8.0;                      %transducer radius (mm)
c =1480;                    % wave speed (m/sec)
fc = 5;                     % center frequency (MHz)
bw = 4.0;                   % bandwidth (MHz)
[ zz, ff] = meshgrid(z, f);
ka = 2000*pi*ff.*a./c;        % ka value
zn = zz/a;                   % normalized on-axis distance
p = 1 -exp(i*ka.*(sqrt(zn.^2 +1 )-zn)); %on-axis normalized pressure

yf =spectrum_f(ff, fc, bw).*p;    % multiply by a Gaussian window
yf(1,:) = yf(1,:)/2;   % this is needed when only using positive frequencies
y =2*real(IFourierT(yf,dt));    % compute time domain pulses


function V = spectrum_f(f, fc, bw)
A = sqrt(log(2))/(pi*bw);
V = A*sqrt(pi)*exp(-4*(pi^2)*(A^2)*(f -fc).^2);