function [V1, I1, Vt,It] = two_portX(V,dt, R, term)
N = length(V);
% do fft of source voltage
Vs = N*dt*ifft(V);
f=linspace(0, 1/dt, N);
T = 1/80; % T in micro sec tomake sin go to zero at 20 MHz
if strcmp(term, 'oc')
    It = zeros(1,N);
    Vtf = Vs./(R*sin(2*pi*T*f) + cos(2*pi*T*f)); Vtf =Vtf.*(f < f(end)/2);
    V1f =cos(2*pi*T*f).*Vtf; V1f =V1f.*(f <f(end)/2);
    I1f = sin(2*pi*T*f).*Vtf; I1f = I1f.*(f < f(end)/2);
    % do iffts
    Vtf(1) = Vtf(1)/2 ; Vt =2*real((1/(N*dt))*fft(Vtf));
    V1f(1) = V1f(1)/2;  V1=2*real((1/(N*dt))*fft(V1f));
    I1f(1) = I1f(1)/2;  I1=2*real((1/(N*dt))*fft(I1f));
elseif strcmp(term, 'sc')
    Vt = zeros(1,N);
    Itf = Vs./(R*cos(2*pi*T*f) - sin(2*pi*T*f)); Itf =Itf.*(f < f(end)/2);
    V1f = -sin(2*pi*T*f).*Itf; V1f =V1f.*(f <f(end)/2);
    I1f = cos(2*pi*T*f).*Itf; I1f =I1f.*(f < f(end)/2);
    % do iffts
    Itf(1) =Itf(1)/2;  It =2*real((1/(N*dt))*fft(Itf));
    V1f(1) = V1f(1)/2; V1 =2*real((1/(N*dt))*fft(V1f));
    I1f(1) =I1f(1)/2; I1 =2*real((1/(N*dt))*fft(I1f));
else
    error('termination must be ''oc'' or ''sc''')
end

