function [kp,ks] = directivity(ang, cp, cs)
% computes the directivity functions for a p-wave contact
%transducer. ang is angle in degrees, cp, cs are p- and s-wave %speeds 
k = cp/cs;
angr = ang*pi/180;
x = sin(angr);
c =cos(angr);
g=(x.^2 -k^2/2).^2 + x.^2.*sqrt(1 - x.^2).*sqrt(k^2 - x.^2);
kp = c.*(k^2).*(k.^2/2 -x.^2)./(2.*g);
ks = (k*x <1).*c.*(k^3).*x.*sqrt(1 - k^2.*x.^2)./(2.*g);
