function  [p, rho] = far_field(ang,A, c, F, RN)
% far_field computes the normalized far field pressure 
% for a circular piston (omitting the exp(ikR) phase term)
% A is the radius of the transducer in mm, c the wavespeed
%in m/sec, F the frequency in MHz, and RN is
%the normalized radial distance in near field units.
% rho is the transverse distance (normal to z)  in mm
ka = 2*pi*(1000*A*F/c);
al= 1000*A*F/c;
x = ka*sin(ang*pi/180);
rho =RN*(A*al)*sin(ang*pi/180);
p = -i*(ka/(al*RN))*besselj(1,x)./(x+eps*(x ==0));