function p  = on_axis(zN, A,c,F)
% exact on axis pressure from a piston source
%radiating into a fluid. A is radius in mm, c the
%wavespeed of the fluid in m/sec, F the frequency in MHz,
% zN is the distance in the fluid divided by the near field
%distance a^2/lamba  (lamba is the wavelength)
al= 1000*A*F/c;    % a/lamba
ka = 2*pi*al;		% ka for the transducer
kz = ka*al*zN;
ke = 2*pi*(al^2).*sqrt(zN.^2 + (1/al)^2);
p = exp(i*kz) - exp(i*ke);