function p = par_focused_on_axis(zR, A,c,F,R)
% on axis pressure of a spherically focused probe,paraxial approx.
% as a function of the normalized distance, zR = z/R
%A, radius of the transducer in mm. R , focal length in mm.
%c, the wave speed in m/sec, and F the frequency in MHz
al=1000*A*F/c;
ka=2*pi*al;
zN=(R/A)*(1/al)*(zR);
kz=ka*al*zN;
kR=2000*pi*F*R/c;
qo=1-kz./kR;
p = (1-exp(i*ka*(A/R)*qo./(2*zR)))./qo;
