function p = par_on_axis(zN, A,c,F)
% paraxial axis pressure from a piston source
%radiating into a fluid. A is radius in mm, c the
%wavespeed of the fluid in m/sec, F the frequency in MHz,
% zN is the distance in the fluid divided by the near field
%distance a^2/lamba
al= 1000*A*F/c;    % a/lamba
ka = 2*pi*al;		% ka for the transducer
kz = ka*al*zN;
ke = ka./(2*al.*zN);
p = exp(i*kz).*(1 - exp(i*ke));