function [vc, vr, t]= rough_crack( )
%rough crack
f = linspace(0, 100, 512);
df= f(2) -f(1);
z = 46; % impedance of steel
k = 200;  % spring constant (MPa/micro-m)
C= pi*z/k;
T = 1./(1 -i*C*f);
bw =4;
fc =10;
A =sqrt(log(2))/(pi*bw);
Vr = sqrt(2)*A*exp(-4*pi^2*A^2*(f-fc).^2);
Vc = Vr.*T;
t =linspace(0, 1/df, 512);
dt =t(2) -t(1);
% do inverse fft of reference
[nr,nc] = size(Vr);
if nr == 1
	N = nc;
else
	N = nr;
end
vr =real((1/(N*dt))*fft(Vr));

% do inverse fft of crack signal
[nr,nc] = size(Vc);
if nr == 1
	N = nc;
else
	N = nr;
end
vc =real((1/(N*dt))*fft(Vc));
